> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update ConnectWise PSA configuration



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json put /v1/integration/{integrationId}/connectwise-psa
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/{integrationId}/connectwise-psa:
    put:
      tags:
        - Integration
      summary: Update ConnectWise PSA configuration
      operationId: ConnectWisePSAController_setConfiguration
      parameters:
        - name: integrationId
          required: true
          in: path
          description: ConnectWise PSA integration ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConnectWiseConfigurationDto'
      responses:
        '204':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    ConnectWiseConfigurationDto:
      type: object
      properties:
        ticketCompanyId:
          type: string
        ticketSiteId:
          type: string
          nullable: true
        ticketBoardId:
          type: string
        ticketTypeId:
          type: string
        ticketPriorityId:
          type: string
        ticketPriorityUseSeverity:
          type: boolean
        ticketStatusId:
          type: string
        ticketPreventedPriorityId:
          type: string
        ticketPreventedPriorityUseSeverity:
          type: boolean
        ticketPreventedStatusId:
          type: string
        ticketAutoContainedPriorityId:
          type: string
        ticketAutoContainedPriorityUseSeverity:
          type: boolean
        ticketAutoContainedStatusId:
          type: string
        ticketContainedPriorityId:
          type: string
          nullable: true
        ticketContainedStatusId:
          type: string
          nullable: true
        ticketClosedPriorityId:
          type: string
          nullable: true
        ticketClosedStatusId:
          type: string
          nullable: true
        ticketRespondedPriorityId:
          type: string
          nullable: true
        ticketRespondedStatusId:
          type: string
          nullable: true
        criticalSeverityPriorityId:
          type: string
          nullable: true
        highSeverityPriorityId:
          type: string
          nullable: true
        mediumSeverityPriorityId:
          type: string
          nullable: true
        lowSeverityPriorityId:
          type: string
          nullable: true
        informationalSeverityPriorityId:
          type: string
          nullable: true
      required:
        - ticketCompanyId
        - ticketBoardId
        - ticketTypeId
        - ticketPriorityId
        - ticketPriorityUseSeverity
        - ticketStatusId
        - ticketPreventedPriorityId
        - ticketPreventedPriorityUseSeverity
        - ticketPreventedStatusId
        - ticketAutoContainedPriorityId
        - ticketAutoContainedPriorityUseSeverity
        - ticketAutoContainedStatusId
        - ticketContainedPriorityId
        - ticketContainedStatusId
        - ticketClosedPriorityId
        - ticketClosedStatusId
        - ticketRespondedPriorityId
        - ticketRespondedStatusId
        - criticalSeverityPriorityId
        - highSeverityPriorityId
        - mediumSeverityPriorityId
        - lowSeverityPriorityId
        - informationalSeverityPriorityId
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````